<html>
<head>
<title>Ogre::D3D11Device Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11Device Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11Device" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D11Device-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html">ThreadInfo</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06abce74856acf97de3498206392d88f005">D3D_NO_EXCEPTION</a>, 
<a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06a079a92e01130c04b8ef95020ccb09f8e">D3D_CORRUPTION</a>, 
<a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06a08f88a5c3e3b6f4d9ef9ecf5b9cd56ac">D3D_ERROR</a>, 
<a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06a1dfb5d815cfbec36f4cd28728a6e3dc4">D3D_WARNING</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06a7a25732bdeaff6cf1fe48d92128e47e4">D3D_INFO</a>
<br/>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a49ac85887b116d72f3d09c1433c6098a">D3D11Device</a> (ID3D11Device *device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a0c0587b80f6c468b5b21bd46832eb755">~D3D11Device</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11DeviceContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a929a00f1189ae2b937a4e9d30120b09b">GetImmediateContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11Device *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#af0022ec16af8d0dff758e8cfb2170e03">operator-&gt;</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a39e903a8c0e7dedef21ce3658dd7a076">clearStoredErrorMessages</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11Device *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a179d5cf3029eafbcad3a48640b2ae812">operator=</a> (ID3D11Device *device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a71a26ff3d1f1c4cc288537dc2d4f203d">isNull</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#aeb63562a23276cc43f27b4921dbdb1c6">getErrorDescription</a> (const HRESULT hr=NO_ERROR) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a1a4d6bc3fa52a6d02bc7744f0db4e319">isError</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#ab857859bfe05b1fb33f980a7f94e4fc4">_getErrorsFromQueue</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a3aafbb2edb78e43c2e355e8745284497">release</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11Device *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#aae80eb97fa2fa58857e41e30c3194542">get</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#ace628751d629a8faf3ce557c16748959">setExceptionsErrorLevel</a> (const <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a> exceptionsErrorLevel)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#ab57cfb687240679dc8cf07b6c82ce8d6">getExceptionsErrorLevel</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a7505d8623d4970003cbd597753b8c258">mExceptionsErrorLevel</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a0795f202077b6d65db6f0eb208d17213">D3D11Device</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11Device *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a8d70683dad08253cb02c2ecb9cbc6962">mD3D11Device</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11DeviceContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a9a5cfd490ce0713d54eaf4eced71b961">mImmediateContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11InfoQueue *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11Device.html#a93a674dee9a69f29ddd8e16266fee7c7">mInfoQueue</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00036">36</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06"></a><!-- doxytag: member="Ogre::D3D11Device::eExceptionsErrorLevel" ref="a4eb292689eb4fcd1e29a7e4f80663d06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">Ogre::D3D11Device::eExceptionsErrorLevel</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06abce74856acf97de3498206392d88f005"></a><!-- doxytag: member="D3D_NO_EXCEPTION" ref="a4eb292689eb4fcd1e29a7e4f80663d06abce74856acf97de3498206392d88f005" args="" -->D3D_NO_EXCEPTION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06a079a92e01130c04b8ef95020ccb09f8e"></a><!-- doxytag: member="D3D_CORRUPTION" ref="a4eb292689eb4fcd1e29a7e4f80663d06a079a92e01130c04b8ef95020ccb09f8e" args="" -->D3D_CORRUPTION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06a08f88a5c3e3b6f4d9ef9ecf5b9cd56ac"></a><!-- doxytag: member="D3D_ERROR" ref="a4eb292689eb4fcd1e29a7e4f80663d06a08f88a5c3e3b6f4d9ef9ecf5b9cd56ac" args="" -->D3D_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06a1dfb5d815cfbec36f4cd28728a6e3dc4"></a><!-- doxytag: member="D3D_WARNING" ref="a4eb292689eb4fcd1e29a7e4f80663d06a1dfb5d815cfbec36f4cd28728a6e3dc4" args="" -->D3D_WARNING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4eb292689eb4fcd1e29a7e4f80663d06a7a25732bdeaff6cf1fe48d92128e47e4"></a><!-- doxytag: member="D3D_INFO" ref="a4eb292689eb4fcd1e29a7e4f80663d06a7a25732bdeaff6cf1fe48d92128e47e4" args="" -->D3D_INFO</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00107">107</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0795f202077b6d65db6f0eb208d17213"></a><!-- doxytag: member="Ogre::D3D11Device::D3D11Device" ref="a0795f202077b6d65db6f0eb208d17213" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Device.html#a0795f202077b6d65db6f0eb208d17213">Ogre::D3D11Device::D3D11Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a49ac85887b116d72f3d09c1433c6098a"></a><!-- doxytag: member="Ogre::D3D11Device::D3D11Device" ref="a49ac85887b116d72f3d09c1433c6098a" args="(ID3D11Device *device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Device.html#a0795f202077b6d65db6f0eb208d17213">Ogre::D3D11Device::D3D11Device</a> </td>
          <td>(</td>
          <td class="paramtype">ID3D11Device *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0c0587b80f6c468b5b21bd46832eb755"></a><!-- doxytag: member="Ogre::D3D11Device::~D3D11Device" ref="a0c0587b80f6c468b5b21bd46832eb755" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Device.html#a0c0587b80f6c468b5b21bd46832eb755">Ogre::D3D11Device::~D3D11Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab857859bfe05b1fb33f980a7f94e4fc4"></a><!-- doxytag: member="Ogre::D3D11Device::_getErrorsFromQueue" ref="ab857859bfe05b1fb33f980a7f94e4fc4" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const bool <a class="el" href="classOgre_1_1D3D11Device.html#ab857859bfe05b1fb33f980a7f94e4fc4">Ogre::D3D11Device::_getErrorsFromQueue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00093">isError()</a>.</p>

</div>
</div>
<a class="anchor" id="a39e903a8c0e7dedef21ce3658dd7a076"></a><!-- doxytag: member="Ogre::D3D11Device::clearStoredErrorMessages" ref="a39e903a8c0e7dedef21ce3658dd7a076" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void <a class="el" href="classOgre_1_1D3D11Device.html#a39e903a8c0e7dedef21ce3658dd7a076">Ogre::D3D11Device::clearStoredErrorMessages</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00077">operator-&gt;()</a>.</p>

</div>
</div>
<a class="anchor" id="aae80eb97fa2fa58857e41e30c3194542"></a><!-- doxytag: member="Ogre::D3D11Device::get" ref="aae80eb97fa2fa58857e41e30c3194542" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11Device* <a class="el" href="classOgre_1_1D3D11Device.html#aae80eb97fa2fa58857e41e30c3194542">Ogre::D3D11Device::get</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeb63562a23276cc43f27b4921dbdb1c6"></a><!-- doxytag: member="Ogre::D3D11Device::getErrorDescription" ref="aeb63562a23276cc43f27b4921dbdb1c6" args="(const HRESULT hr=NO_ERROR) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1D3D11Device.html#aeb63562a23276cc43f27b4921dbdb1c6">Ogre::D3D11Device::getErrorDescription</a> </td>
          <td>(</td>
          <td class="paramtype">const HRESULT&#160;</td>
          <td class="paramname"><em>hr</em> = <code>NO_ERROR</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab57cfb687240679dc8cf07b6c82ce8d6"></a><!-- doxytag: member="Ogre::D3D11Device::getExceptionsErrorLevel" ref="ab57cfb687240679dc8cf07b6c82ce8d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a> <a class="el" href="classOgre_1_1D3D11Device.html#ab57cfb687240679dc8cf07b6c82ce8d6">Ogre::D3D11Device::getExceptionsErrorLevel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a929a00f1189ae2b937a4e9d30120b09b"></a><!-- doxytag: member="Ogre::D3D11Device::GetImmediateContext" ref="a929a00f1189ae2b937a4e9d30120b09b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11DeviceContext* <a class="el" href="classOgre_1_1D3D11Device.html#a929a00f1189ae2b937a4e9d30120b09b">Ogre::D3D11Device::GetImmediateContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00072">72</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>References <a class="el" href="OgreD3D11Device_8h_source.html#l00040">mImmediateContext</a>.</p>

</div>
</div>
<a class="anchor" id="a1a4d6bc3fa52a6d02bc7744f0db4e319"></a><!-- doxytag: member="Ogre::D3D11Device::isError" ref="a1a4d6bc3fa52a6d02bc7744f0db4e319" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const bool <a class="el" href="classOgre_1_1D3D11Device.html#a1a4d6bc3fa52a6d02bc7744f0db4e319">Ogre::D3D11Device::isError</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00093">93</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1D3D11Device.html#ab857859bfe05b1fb33f980a7f94e4fc4">_getErrorsFromQueue()</a>, <a class="el" href="OgreD3D11Device_8h_source.html#l00109">D3D_NO_EXCEPTION</a>, and <a class="el" href="OgreD3D11Device_8h_source.html#l00116">mExceptionsErrorLevel</a>.</p>

</div>
</div>
<a class="anchor" id="a71a26ff3d1f1c4cc288537dc2d4f203d"></a><!-- doxytag: member="Ogre::D3D11Device::isNull" ref="a71a26ff3d1f1c4cc288537dc2d4f203d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const bool <a class="el" href="classOgre_1_1D3D11Device.html#a71a26ff3d1f1c4cc288537dc2d4f203d">Ogre::D3D11Device::isNull</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af0022ec16af8d0dff758e8cfb2170e03"></a><!-- doxytag: member="Ogre::D3D11Device::operator&#45;&gt;" ref="af0022ec16af8d0dff758e8cfb2170e03" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11Device* Ogre::D3D11Device::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00077">77</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1D3D11Device.html#a39e903a8c0e7dedef21ce3658dd7a076">clearStoredErrorMessages()</a>, <a class="el" href="OgreD3D11Device_8h_source.html#l00109">D3D_NO_EXCEPTION</a>, <a class="el" href="OgreD3D11Device_8h_source.html#l00039">mD3D11Device</a>, and <a class="el" href="OgreD3D11Device_8h_source.html#l00116">mExceptionsErrorLevel</a>.</p>

</div>
</div>
<a class="anchor" id="a179d5cf3029eafbcad3a48640b2ae812"></a><!-- doxytag: member="Ogre::D3D11Device::operator=" ref="a179d5cf3029eafbcad3a48640b2ae812" args="(ID3D11Device *device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11Device* Ogre::D3D11Device::operator= </td>
          <td>(</td>
          <td class="paramtype">ID3D11Device *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3aafbb2edb78e43c2e355e8745284497"></a><!-- doxytag: member="Ogre::D3D11Device::release" ref="a3aafbb2edb78e43c2e355e8745284497" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D11Device.html#a3aafbb2edb78e43c2e355e8745284497">Ogre::D3D11Device::release</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ace628751d629a8faf3ce557c16748959"></a><!-- doxytag: member="Ogre::D3D11Device::setExceptionsErrorLevel" ref="ace628751d629a8faf3ce557c16748959" args="(const eExceptionsErrorLevel exceptionsErrorLevel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1D3D11Device.html#ace628751d629a8faf3ce557c16748959">Ogre::D3D11Device::setExceptionsErrorLevel</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a>&#160;</td>
          <td class="paramname"><em>exceptionsErrorLevel</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8d70683dad08253cb02c2ecb9cbc6962"></a><!-- doxytag: member="Ogre::D3D11Device::mD3D11Device" ref="a8d70683dad08253cb02c2ecb9cbc6962" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11Device* <a class="el" href="classOgre_1_1D3D11Device.html#a8d70683dad08253cb02c2ecb9cbc6962">Ogre::D3D11Device::mD3D11Device</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00039">39</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00077">operator-&gt;()</a>.</p>

</div>
</div>
<a class="anchor" id="a7505d8623d4970003cbd597753b8c258"></a><!-- doxytag: member="Ogre::D3D11Device::mExceptionsErrorLevel" ref="a7505d8623d4970003cbd597753b8c258" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Device.html#a4eb292689eb4fcd1e29a7e4f80663d06">eExceptionsErrorLevel</a> <a class="el" href="classOgre_1_1D3D11Device.html#a7505d8623d4970003cbd597753b8c258">Ogre::D3D11Device::mExceptionsErrorLevel</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00116">116</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00093">isError()</a>, and <a class="el" href="OgreD3D11Device_8h_source.html#l00077">operator-&gt;()</a>.</p>

</div>
</div>
<a class="anchor" id="a9a5cfd490ce0713d54eaf4eced71b961"></a><!-- doxytag: member="Ogre::D3D11Device::mImmediateContext" ref="a9a5cfd490ce0713d54eaf4eced71b961" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11DeviceContext* <a class="el" href="classOgre_1_1D3D11Device.html#a9a5cfd490ce0713d54eaf4eced71b961">Ogre::D3D11Device::mImmediateContext</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00072">GetImmediateContext()</a>.</p>

</div>
</div>
<a class="anchor" id="a93a674dee9a69f29ddd8e16266fee7c7"></a><!-- doxytag: member="Ogre::D3D11Device::mInfoQueue" ref="a93a674dee9a69f29ddd8e16266fee7c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11InfoQueue* <a class="el" href="classOgre_1_1D3D11Device.html#a93a674dee9a69f29ddd8e16266fee7c7">Ogre::D3D11Device::mInfoQueue</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00041">41</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
